module TestSuite
where

import Test.Framework (
  RunnerOptions(),
  Test,
  TestName,
  TestOptions(),
  defaultMain,
  testGroup
  )

import Test.Framework.Options
import Test.Framework.Runners.Options
import Test.Framework.Providers.API (TestName)
import Test.HUnit

import LWN.Page (page_tests)
import LWN.URI (uri_tests)

main :: IO ()
main = defaultMain tests

tests :: [Test.Framework.Test]
tests = [ page_tests,
          uri_tests ]
